<template>
  <b-progress :type="typeFromPercent" :value="percentSubscribed" v-bind="$attrs" />
</template>

<script>
export default {
  name: 'MtProgressActivity',
  inheritAttrs: false,
  props: {
    activite: {
      type: Object,
      default: () => ({}),
    },
  },
  computed: {
    percentSubscribed() {
      if (this.activite && this.activite.avancement && this.activite.avancement.taux.total !== 0) {
        return this.activite.avancement.taux.pourcentage;
      }
      return 100;
    },
    typeFromPercent() {
      if (this.percentSubscribed >= 0 && this.percentSubscribed <= 33 && this.activite.avancement.taux.total !== 0) {
        return 'is-danger';
      }
      if (this.percentSubscribed > 33 && this.percentSubscribed <= 66 && this.activite.avancement.taux.total !== 0) {
        return 'is-warning';
      }
      if (this.percentSubscribed < 100 && this.activite.avancement.taux.total !== 0) {
        return 'is-success';
      }
      return 'is-info';
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';
</style>
